/********************************************************************

  Module: TiClassWindow

  Author: Carlo Ordonez

  Description:

    Panel for choosing a new character's class

  Copyright 2006 Sony Online Entertainment.  All rights reserved.

*********************************************************************/

#ifndef _TiClassWindow_h_
#define _TiClassWindow_h_

#include "TiWindow.h"

class TiUIControl;
class TiClassWindow : public TiWindow
{
public:
  TiClassWindow( TiWindow* pParent );
  ~TiClassWindow();

  virtual void    DrawSelf();
  virtual bool    ProcessButtonDown( int32 DeviceId, int32 ButtonId );
  virtual void    ProcessMessage( TiWindowMessage* pMessage );

private:

  void            Select();

  TiUIControl*    mpCtrl;
  TiUIControl*    mpButtons;
  int32           mSelection;
};

#endif

